Loading...
Searching...
No Matches
Particle Class Reference

A class that holds attributes of a particle. More...

`#include <Particle.hpp>`

## Public Member Functions

| Particle (double q, double m, arma::vec::fixed< 3 > r_vec, arma::vec::fixed< 3 > v_vec)
| Initialize the particle.

## Private Attributes

double | q
| Charge.
double | m
| Mass.
arma::vec::fixed< 3 > | r_vec
| position
arma::vec::fixed< 3 > | v_vec
| velocity

## Friends

class | PenningTrap
| Make private attributes available for PenningTrap.

## Detailed Description

A class that holds attributes of a particle.

Definition at line 19 of file Particle.hpp.

## Constructor & Destructor Documentation

## Particle()

Particle::Particle | ( | double | q,
|  | double | m,
|  | arma::vec::fixed< 3 > | r_vec,
|  | arma::vec::fixed< 3 > | v_vec
| ) |  |

Initialize the particle.

Initialize the particle with a charge, mass, position and velocity.

Definition at line 16 of file Particle.cpp.

## Friends And Related Function Documentation

## PenningTrap

friend class PenningTrap

friend

Make private attributes available for PenningTrap.

Definition at line 38 of file Particle.hpp.

## Member Data Documentation

## m

double Particle::m

private

Mass.

Definition at line 22 of file Particle.hpp.

## q

double Particle::q

private

Charge.

Definition at line 21 of file Particle.hpp.

## r_vec

arma::vec::fixed<3> Particle::r_vec

private

position

Definition at line 23 of file Particle.hpp.

## v_vec

arma::vec::fixed<3> Particle::v_vec

private

velocity

Definition at line 24 of file Particle.hpp.

The documentation for this class was generated from the following files:

- include/Particle.hpp
- src/Particle.cpp